Name Player_mod_AttackDelta

CONST
END	//Const

////////// State machine Main ///////////////


MACHINE "Command"	

	///////  CancelTask  ////////////////////////////////////
	STATE	CancelTask
	
		RULE 	event In	
			:action
				O:tClearCommand();
			:end
		END
		
	END	//STATE CancelTask


///////  Maneuver  ///////////////////////////////////		
		
	STATE Approach
			
		RULE	event In
			:action
					debug("AttackDelta Approach");
					O.this:tEnergyMode(3,0);
					O.this:tClearMove();
					debug("Approach");
					debug(O.Main_Target,O.Main_Target:x);
					O.this:tMoveTo(O.Main_Target:position,0,0,0);
			:end
		END
				
/*
		RULE event Co_TargetReached
			:action
				if(Distance(O.Own_Ship,O.Main_target)>O.MinDist,
					O:GetMachine("Command"):ChangeState(RunAway,0);
				);
			:end
		END
*/
					
				
		RULE	event Tick
			:action
				if(isvalid(o.own_ship)&isvalid(O.Main_target),
					If(Distance(O.Own_Ship,O.Main_target)<O.MinDist,
						O:GetMachine("Command"):ChangeState(RunAway,0);
						//Debug("So gemerkt",O.MinDist);
					,
						O.this:tMoveTo(O.Main_Target:position,0,0,0);
					);
				,O:tClearCommand(););	
			:end
		END
		TICK 2
	END
			
	STATE RunAway
			
		RULE	event In
			:action
				debug("AttackDelta RunAway");
				O.this:tEnergyMode(3,2);
				debug("Run Away");
				a:=rnd(-1,1);
				if(a<0,a:=-1,a:=1);
				b:=rnd(-1,1);
				if(b<0,b:=-1,b:=1);
				heading:=O.Own_Ship:heading;
				pitch:=O.Own_Ship:pitch;
				heading:=heading+(a*Rnd(15,22));
				pitch:=pitch+(b*Rnd(15,22));
				rot:=rot(heading,pitch,0);
				
				pos:=VAdd(O.Own_ship:position,VMul(O.MaxDist+3000,R2Vec(rot)));
			  debug("Pos:",pos:x,pos:y,pos:z);
			  O.this:tClearMove();	
			  SetAreaAbs(1,C.Pos,0,0, 1000);
				O:tMoveTo(C.pos,0,0, 0);
		  :end
		 END
/*
		RULE event Co_TargetReached
			condition E.Ship:=O.Own_Ship
			:action
				if(Distance(O.Own_Ship,O.Main_target)<O.MaxDist,
					O:GetMachine("Command"):ChangeState(Approach,0);
				);
			:end
		END
*/

		RULE event AreaEntered
			condition E.Ship:=O.Own_Ship&E.Area=1
			:action
				O:GetMachine("Command"):ChangeState(Approach,0);
			:end
		END	
				 
		RULE	event Tick
		 	:action
		 			If(isvalid(o.Own_Ship)&isvalid(O.Main_target),
						If(Distance(O.Own_Ship,O.Main_target)>O.MaxDist,
							O:GetMachine("Command"):ChangeState(Approach,0);
							Debug("So gemerkt");
						);
					,O:tClearCommand(););
			:end
		END
		TICK 2
	END
	
END


RULE event Exploding
	condition E.Ship=O.Main_Target
		:action
			O:tClearCommand();
		:end
END

RULE	event CommandInit
	:action
		
		
		Cmd_Beh:=commandBehaviour;
		Main_Target:=commandTarget;		// az egyseg, amit tamadnia kell
		Own_Ship:=this; 				//Store own ship
		MaxDist:=5000;
		MinDist:=2000;
		//EnableUnit(Own_Ship,0);
		
		tClearMove();
		tClearTerritory();
		tClearForbid(0);
		tSetForbid(#FORBID_FIRE);
		tSetForbid(#FORBID_SHIELD);
		
		
		
		If(Main_Target:race>=0,
			SetRelation(race, Main_Target:race, 2);
		);

		Weaps:=GetFreeSel();
		


		SelectDevices(Weaps,O.Own_Ship,S.this:active=1&InSet(S.this,30));
		Execlist(Weaps,S.this:target:=O.Main_Target);

		if(distance(O.Own_Ship,O.Main_Target)>4000,GetMachine("Command"):ChangeState(Approach,0);,GetMachine("Command"):ChangeState(RunAway,0));
	:end
END

RULE	event ClearCommand
	:action
		tClearMove();
		//EnableUnit(Own_Ship,1);
		tPlayerControl(1);
	:end
END
