Name Player_mod_DrainShield

CONST
END	//Const

//70-szkenner
//71-ecm
//72-eccm
//73-shield
//74-cloaking

////////// State machine Main ///////////////
MACHINE "Command"

	///////  CancelTask  ////////////////////////////////////
	STATE	CancelTask
	
		RULE 	event In	
			:action
				O:tClearCommand();
			:end
		END
		
	END	//STATE CancelTask

	///////  Aggressive  ///////////////////////////////////
	STATE Aggressive

		RULE 	event In 	
			:action
				If(O.Main_Target, 
					O:tClearForbid(0);
					O:tSetForbid(#FORBID_MOTION_MOTIVATION);				//Osszes sajat mozgas tiltasa
					O:tSetForbid(#FORBID_FIRE_BOMBER);						//csak bomberkuldes tiltva, minden mas tuzeles engedelyezve				
					LocalEvent(SelDev, 0);								
					LocalEvent(CollectAbility, 0);
					LocalEvent(PurposeDisabled, E.Ability:=Ability_Shield);

					EnableFortPass(O.Own_Ship, 1);							//fortshielden thaladhat
					If(alca, ActivateDevice(alca, 0)); 				

					Move_Range:=Call(CalcRangeToFiremode, E.ship:=O.Own_Ship; E.mode:=O.Fire_Mode; E.beh:=O.Cmd_Beh; E.trg:=O.Main_Target; E.refvalue:=O.Main_Target:hpmax);  // Kivanatos tavolsag az elsodleges celpot tamadasahoz
					Move_Type:=0;

					O:tFireTo(Main_Target, Fire_Mode);

					LocalEvent(Tick, 0);
				,
					ChangeState(Canceltask, 0);
				);
			:end
		END

		RULE 	event Tick
			:action
				LocalEvent(Approach, 0);
				if(O.Main_Target,
					Range_Main_Target:=Range(O.Main_Target, O.Own_Ship); 	//Aktualis tavolsag az elsodleges celponttol
				,
					Range_Main_Target:=Move_Range;
				);
				If(Range_Main_Target!=Move_Range,					
					// MEGKZELTS
					O:tEngineMode(1);
					SelectShips(10, S.race!=O.Own_Ship:race & GetRelation(O.Own_Ship:race, S.race)=2 & GetDetected(S.this, O.Own_Ship:race) & Range(S.this, O.Own_Ship)<=3);	// minden artillerynel kozelebb levo detektalt ellenseges hajo levalogatasa
					LocalEvent(DevTurnOn, E.dev:=szenzor);
					If(NumOf(10), 
						LocalEvent(DevTurnOn, E.dev:=eccm);
						LocalEvent(DevTurnOn, E.dev:=ecm);
					, 
						If(eccm, ActivateDevice(eccm, 0));
						If(ecm, ActivateDevice(ecm, 0));						
					);
				,
					// TMADS					
					O:tEngineMode(0);
					SelectShips(10, S.race!=O.Own_Ship:race & GetRelation(O.Own_Ship:race, S.race)=2 & GetDetected(S.this, O.Own_Ship:race) & Range(S.this, O.Own_Ship)<=3);	// minden artillerynel kozelebb levo detektalt ellenseges hajo levalogatasa
					LocalEvent(DevTurnOn, E.dev:=szenzor);
					If(NumOf(10), 
						LocalEvent(DevTurnOn, E.dev:=eccm);
						LocalEvent(DevTurnOn, E.dev:=ecm);
					, 
						If(eccm, ActivateDevice(eccm, 0));
						If(ecm, ActivateDevice(ecm, 0));
					);
					If(O.Main_Target:station,
						O:tSetForbid(#FORBID_FIRE);						//Minden tzels tiltva				
						SelectDevices(55, O.Own_Ship, InSet(S.this, 3) & !InSet(S.this, 5));
						ExecList(55, TargetWeapon(S.this, O.Main_Target));
					);							
				);
			:end
		END
		Tick 5.5
		
		#include "mod_Player_X_Rules.inc"

	END	//STATE Aggressive

	///////  Defensive  ///////////////////////////////////
	STATE Defensive

		RULE 	event In 	
			:action
				If(O.Main_Target, 
					O:tClearForbid(0);
					O:tSetForbid(#FORBID_MOTION_MOTIVATION);				//Osszes sajat mozgas tiltasa
					O:tSetForbid(#FORBID_FIRE_BOMBER);						//csak bomberkuldes tiltva, minden mas tuzeles engedelyezve				
					O:tSetForbid(#FORBID_FIRE_NOTSHOTBY);					//csak vdekez tzels
					O:tSetForbid(#FORBID_SHIELD);
					LocalEvent(SelDev, 0);								
					LocalEvent(CollectAbility, 0);
					LocalEvent(PurposeDisabled, E.Ability:=Ability_Shield);

					If(eccm, ActivateDevice(eccm, 0));
					If(alca, ActivateDevice(alca, 0)); 

					Move_Range:=Call(CalcRangeToFiremode, E.ship:=O.Own_Ship; E.mode:=O.Fire_Mode; E.beh:=O.Cmd_Beh; E.trg:=O.Main_Target; E.refvalue:=O.Main_Target:hpmax);  // Kivanatos tavolsag az elsodleges celpot tamadasahoz
					Move_Type:=0;
					O:tEngineMode(2);

					O:tFireTo(Main_Target, Fire_Mode);

					LocalEvent(Tick, 0);
				,
					ChangeState(Canceltask, 0);
				);
			:end
		END

		RULE 	event Tick
			:action
				If(O.Own_ship:fort, 
					EnableFortPass(O.Own_Ship, 0);							//fortshielden nem haladhat t
				,
					EnableFortPass(O.Own_Ship, 1);							//fortshielden thaladhat
				);

				LocalEvent(Approach, 0);
				if(O.Main_Target,
					Range_Main_Target:=Range(O.Main_Target, O.Own_Ship); 	//Aktualis tavolsag az elsodleges celponttol
				,
					Range_Main_Target:=Move_Range;
				);
				If(Range_Main_Target!=Move_Range,					
					// MEGKZELTS
					SelectShips(10, S.race!=O.Own_Ship:race & GetRelation(O.Own_Ship:race, S.race)=2 & GetDetected(S.this, O.Own_Ship:race) & Range(S.this, O.Own_Ship)<=3);	// minden artillerynel kozelebb levo detektalt ellenseges hajo levalogatasa
					SelectShips(20, S.race!=O.Own_Ship:race & GetRelation(O.Own_Ship:race, S.race)=2 & GetDetected(S.this, O.Own_Ship:race) & GetDetected(O.Own_Ship, S.race) & Range(S.this, O.Own_Ship)<=3);	// minden artillerynel kozelebb levo engem detektalt ellenseges hajo levalogatasa
					SelectShips(15, S.race!=O.Own_Ship:race & (GetRelation(O.Own_Ship:race, S.race)=2 | GetRelation(O.Own_Ship:race, S.race)=3) & GetDetected(S.this, O.Own_Ship:race));		//detektlt ellensges haj van	
					If(NumOf(10), LocalEvent(DevTurnOn, E.dev:=ecm), If(ecm, ActivateDevice(ecm, 0)));				
					If(NumOf(20), LocalEvent(DevTurnOn, E.dev:=szenzor), If(szenzor, ActivateDevice(szenzor, 0)));
					If(NumOf(15), If(pajzs, ActivateDevice(pajzs, 1)));
				,
					// TMADS
					SelectShips(10, S.race!=O.Own_Ship:race & GetRelation(O.Own_Ship:race, S.race)=2 & GetDetected(S.this, O.Own_Ship:race) & Range(S.this, O.Own_Ship)<=3);	// minden artillerynel kozelebb levo detektalt ellenseges hajo levalogatasa
					SelectShips(20, S.race!=O.Own_Ship:race & GetRelation(O.Own_Ship:race, S.race)=2 & GetDetected(S.this, O.Own_Ship:race) & GetDetected(O.Own_Ship, S.race) & Range(S.this, O.Own_Ship)<=3);	// minden artillerynel kozelebb levo engem detektalt ellenseges hajo levalogatasa
					SelectShips(15, S.race!=O.Own_Ship:race & (GetRelation(O.Own_Ship:race, S.race)=2 | GetRelation(O.Own_Ship:race, S.race)=3) & GetDetected(S.this, O.Own_Ship:race));		//detektlt ellensges haj van	
					If(NumOf(10), LocalEvent(DevTurnOn, E.dev:=ecm), If(ecm, ActivateDevice(ecm, 0)));				
					LocalEvent(DevTurnOn, E.dev:=eccm);
					If(NumOf(20), LocalEvent(DevTurnOn, E.dev:=szenzor), If(szenzor, ActivateDevice(szenzor, 0)));
					If(NumOf(15), If(pajzs, ActivateDevice(pajzs, 1)));					
					If(O.Main_Target:station,
						O:tSetForbid(#FORBID_FIRE);						//Minden tzels tiltva				
						SelectDevices(55, O.Own_Ship, InSet(S.this, 3) & !InSet(S.this, 5));
						ExecList(55, TargetWeapon(S.this, O.Main_Target));
					);							
				);
			:end
		END
		Tick 5.5

		#include "mod_Player_X_Rules.inc"

	END	//STATE Defensive

	///////  Stealth  ///////////////////////////////////
	STATE Stealth

		RULE 	event In 	
			:action
				If(O.Main_Target, 
					O:tClearForbid(0);
					O:tSetForbid(#FORBID_MOTION_MOTIVATION);				//Osszes sajat mozgas tiltasa
					O:tSetForbid(#FORBID_FIRE);								//Lvldzs tiltsa
					O:tSetForbid(#FORBID_SHIELD);				 				//Pajzs letiltsa
					LocalEvent(SelDev, 0);								
					LocalEvent(CollectAbility, 0);
					LocalEvent(PurposeDisabled, E.Ability:=Ability_Shield);

					EnableFortPass(O.Own_Ship, 1);							//fortshielden thaladhat
					If(szenzor, ActivateDevice(szenzor, 0));
					If(ecm, ActivateDevice(ecm, 0));
					If(eccm, ActivateDevice(eccm, 0));
					Move_Range:=Call(CalcRangeToFiremode, E.ship:=O.Own_Ship; E.mode:=O.Fire_Mode; E.beh:=O.Cmd_Beh; E.trg:=O.Main_Target; E.refvalue:=O.Main_Target:hpmax);  // Kivanatos tavolsag az elsodleges celpot tamadasahoz
					If(O.Main_Target & Range(O.Main_Target, O.Own_Ship)>Move_Range, 
						If(pajzs, ActivateDevice(pajzs, 0));
						LocalEvent(DevTurnOn, E.dev:=alca);
						seen:=0;
						SelectDevices(77, O.Own_Ship, S.weapon & !InSet(S.this, 20) & !InSet(S.this, 21) & !InSet(S.this, 22) & !InSet(S.this, 25));				//fegyverek kikapcsolsa
						ExecList(77, ActivateDevice(S.this, 0));
					);

					If(NumOf(74), 
						Move_Type:=0;							
					,
						Move_Type:=1;
					);				
					O:tEngineMode(3);													

					LocalEvent(Tick, 0);				
				,
					ChangeState(Canceltask, 0);
				);
			:end
		END

		RULE 	event Tick
			:action		
				LocalEvent(Approach, 0);
				if(O.Main_Target,
					Range_Main_Target:=Range(O.Main_Target, O.Own_Ship); 	//Aktualis tavolsag az elsodleges celponttol
				,
					Range_Main_Target:=Move_Range;
				);
				If(Range_Main_Target=Move_Range,					
					// TMADS
					O:tClearForbid(#FORBID_SHIELD);				 	//Pajzs engedlyezse
					O:tClearForbid(#FORBID_FIRE);					 	//Lvldzs engedlyezse
					O:tSetForbid(#FORBID_FIRE_BOMBER);				//csak bomberkuldes tiltva, minden mas tuzeles engedelyezve				
					O:tFireTo(Main_Target, Fire_Mode);
					If(O.Main_Target:station,
						O:tSetForbid(#FORBID_FIRE);						//Minden tzels tiltva				
						SelectDevices(55, O.Own_Ship, InSet(S.this, 3) & !InSet(S.this, 5));
						ExecList(55, TargetWeapon(S.this, O.Main_Target));
					);							
				);	
			:end
		END
		Tick 5.5

		#include "mod_Player_X_Rules.inc"
		
	END	//STATE Stealth

	///////  NoFire  ///////////////////////////////////
	STATE NoFire

		RULE 	event In 	
			:action
				If(O.Main_Target, 
					O:tClearForbid(0);
					O:tSetForbid(#FORBID_MOTION_MOTIVATION);		//Osszes sajat mozgas tiltasa
					O:tSetForbid(#FORBID_FIRE_BOMBER);				//csak bomberkuldes tiltva, minden mas tuzeles engedelyezve				
					O:tSetForbid(#FORBID_FIRE_FREE);					//CO tzels tiltsa
					O:tSetForbid(#FORBID_SHIELD);
					O:tSetForbid(#FORBID_ENGINE);
					//LocalEvent(SelDev, 0);								

					EnableFortPass(O.Own_Ship, 1);					//fortshielden thaladhat
					//If(alca, ActivateDevice(alca, 0)); 
					//If(eccm, ActivateDevice(eccm, 0));					

					LocalEvent(SelDev, 0);								
					LocalEvent(CollectAbility, 0);
					LocalEvent(PurposeDisabled, E.Ability:=Ability_Shield);


					Move_Range:=Call(CalcRangeToFiremode, E.ship:=O.Own_Ship; E.mode:=O.Fire_Mode; E.beh:=O.Cmd_Beh; E.trg:=O.Main_Target; E.refvalue:=O.Main_Target:hpmax);  // Kivanatos tavolsag az elsodleges celpot tamadasahoz
					Move_Type:=0;

					O:tFireTo(Main_Target, Fire_Mode);

					LocalEvent(Tick, 0);
				,
					ChangeState(Canceltask, 0);
				);
			:end
		END

		RULE 	event Tick
			:action
				LocalEvent(Approach, 0);
				if(O.Main_Target,
					Range_Main_Target:=Range(O.Main_Target, O.Own_Ship); 	//Aktualis tavolsag az elsodleges celponttol
				,
					Range_Main_Target:=Move_Range;
				);
				If(Range_Main_Target!=Move_Range,					
					// MEGKZELTS
					SelectDevices(77, O.Own_Ship, S.weapon & !InSet(S.this, 20) & !InSet(S.this, 21) & !InSet(S.this, 22) & !InSet(S.this, 25));				//fegyverek kikapcsolsa
					ExecList(77, ActivateDevice(S.this, 0));
					O:tEngineMode(1);
/*
					SelectShips(10, S.race!=O.Own_Ship:race & GetRelation(O.Own_Ship:race, S.race)=2 & GetDetected(S.this, O.Own_Ship:race) & Range(S.this, O.Own_Ship)<=3);	// minden artillerynel kozelebb levo detektalt ellenseges hajo levalogatasa
					LocalEvent(DevTurnOn, E.dev:=szenzor);				
					If(NumOf(10),
						LocalEvent(DevTurnOn, E.dev:=eccm);					
						LocalEvent(DevTurnOn, E.dev:=ecm);											
					,
						If(eccm, ActivateDevice(eccm, 0));
						If(ecm, ActivateDevice(ecm, 0));
					);
*/
				,
					// TMADS
/*
					SelectShips(10, S.race!=O.Own_Ship:race & GetRelation(O.Own_Ship:race, S.race)=2 & GetDetected(S.this, O.Own_Ship:race) & Range(S.this, O.Own_Ship)<=3);	// minden artillerynel kozelebb levo detektalt ellenseges hajo levalogatasa
					LocalEvent(DevTurnOn, E.dev:=szenzor);				
					If(NumOf(10),
						LocalEvent(DevTurnOn, E.dev:=eccm);					
						LocalEvent(DevTurnOn, E.dev:=ecm);											
					,
						If(eccm, ActivateDevice(eccm, 0));
						If(ecm, ActivateDevice(ecm, 0));
					);
*/
					O:tEngineMode(0);
					O:tFireTo(Main_Target, O.Fire_Mode);
					If(O.Main_Target:station,
						O:tSetForbid(#FORBID_FIRE);						//Minden tzels tiltva				
						SelectDevices(55, O.Own_Ship, InSet(S.this, 3) & !InSet(S.this, 5));
						ExecList(55, TargetWeapon(S.this, O.Main_Target));
					);							
				);	
			:end
		END
		Tick 5.5
		
		#include "mod_Player_X_Rules.inc"

	END	//STATE NoFire

END	//MACHINE "Command"
	

////////// Global command events ///////////////

RULE	event CommandInit
	:action
		Cmd_Beh:=commandBehaviour;
		Main_Target:=commandTarget;		// az egyseg, amit tamadnia kell
		Own_Ship:=this; 				//Store own ship
		Fire_Mode:=1;

		tClearMove();
		tClearFire();
		tClearTerritory();
		
		If(Main_Target:race>=0,
			SetRelation(race, Main_Target:race, 2);
		);

		ChooseFirst(
			O.Cmd_Beh=1, GetMachine("Command"):ChangeState(Aggressive, 0), 		// aggressziv allapot
			O.Cmd_Beh=2, GetMachine("Command"):ChangeState(Defensive, 0),	 		// defenziv allapot
			O.Cmd_Beh=3, GetMachine("Command"):ChangeState(Stealth, 0),				// menekulo allapot
			O.Cmd_Beh=4, GetMachine("Command"):ChangeState(NoFire, 0)	 			// clirnyos allapot
		);
	:end
END

RULE	event ClearCommand
	:action
		tClearMove();
		tClearFire();
		tClearTerritory();
		O:tPlayerControl(1);
	:end
END
